Subject: [alpine-aports] [PATCH] main/guile: upgrade to 2.2.0

From: Valery Kartel <[email-masked]>
Date: Fri, 17 Mar 2017 21:10:30 +0200

- switch to https:// source url
---
 main/guile/APKBUILD | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

diff --git a/main/guile/APKBUILD b/main/guile/APKBUILD
index 09cc1c1a33..455c22f434 100644
--- a/main/guile/APKBUILD
+++ b/main/guile/APKBUILD
@@ -1,22 +1,22 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=guile
-pkgver=2.0.13
+pkgver=2.2.0
 pkgrel=0
 pkgdesc="Guile is a portable, embeddable Scheme implementation written in C"
 url="http://www.gnu.org/software/guile/"
 arch="all"
 license="GPL"
+options="!check"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
 makedepends="gmp-dev libtool ncurses-dev texinfo libunistring-dev libffi-dev
 	gc-dev"
 depends=
 depends_dev="guile gc-dev"
 install=
-source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+source="https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz
 	0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
 	"
-
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
@@ -31,14 +31,9 @@ build() {
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
 	rm "$pkgdir"/usr/lib/charset.alias
 }
 
-md5sums="dac267e76330176d48583258aeaa7016  guile-2.0.13.tar.gz
-00b381cff020d6b43de150a99d08d955  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha256sums="ee8073c4582bb4f06412452fdf5dd185aae607441f1313c824f44bdd668b0bde  guile-2.0.13.tar.gz
-760355a63be9b756607a03352ceb916dfba02da917fa00c6bc07253d0f7c75f6  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha512sums="79fd5fda5064331eb687934ec3eaf07943f5b23bd05fbce23ab5ee3698864250b33746e33b8f074692b56f7b428dac42ed5d3f5b9dc17d171aa6dfadc1625b00  guile-2.0.13.tar.gz
+sha512sums="8ab2909faedea68e0abea77d9ecc0ddd3e90d0b118e05bfbdbdb213fd5674b049562178b7bd3bc64dd1a7877581e03db023800da97f2f699619ea34cf01d591c  guile-2.2.0.tar.xz
 b1c309cc07830ff1741ef88857f8099187b449580e8d57862886abc367ef1accc5a35636d81eee09247f13d3a751cdc8909fdea05368d3d509bd2039ce06d078  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 20 Mar 2017 12:34:48 +0100

Hi,

>  1 file changed, 6 insertions(+), 11 deletions(-)

here it fails with:

  SNARF  net_db.doc
net_db.c:468:***Missing or erroneous `#define FUNC_NAME s_AI_ADDRCONFIG);'
net_db.c:488:***Missing or erroneous #undef for AI_ADDRCONFIG);:
  SNARF  socket.doc
  SNARF  regex-posix.doc
  CCLD     libguile-2.2.la
  CCLD     guile
  GEN      guile-procedures.texi
/bin/bash: line 1: 11194 Broken pipe             cat alist.doc
array-handle.doc array-map.doc arrays.doc async.doc atomic.doc
backtrace.doc boolean.doc bitvectors.doc bytevectors.doc chars.doc
control.doc continuations.doc debug.doc deprecated.doc deprecation.doc
dynl.doc dynwind.doc eq.doc error.doc eval.doc evalext.doc expand.doc
extensions.doc fdes-finalizers.doc feature.doc filesys.doc fluids.doc
foreign.doc fports.doc gc-malloc.doc gc.doc gettext.doc
generalized-arrays.doc generalized-vectors.doc goops.doc gsubr.doc
guardians.doc hash.doc hashtab.doc hooks.doc i18n.doc init.doc ioext.doc
keywords.doc list.doc load.doc macros.doc mallocs.doc memoize.doc
modules.doc numbers.doc objprop.doc options.doc pairs.doc ports.doc
print.doc procprop.doc procs.doc promises.doc r6rs-ports.doc random.doc
rdelim.doc read.doc rw.doc scmsigs.doc script.doc simpos.doc smob.doc
sort.doc srcprop.doc srfi-1.doc srfi-4.doc srfi-13.doc srfi-14.doc
srfi-60.doc stackchk.doc stacks.doc stime.doc strings.doc strorder.doc
strports.doc struct.doc symbols.doc threads.doc throw.doc trees.doc
unicode.doc uniform.doc values.doc variable.doc vectors.doc version.doc
vports.doc weak-set.doc weak-table.doc weak-vector.doc dynl.doc
posix.doc net_db.doc socket.doc regex-posix.doc
     11195 Segmentation fault      | GUILE_AUTO_COMPILE=0
../meta/build-env guild snarf-check-and-output-texi > guile-procedures.texi
make[3]: *** [Makefile:3896: guile-procedures.texi] Error 1
make[3]: Leaving directory
'/home/larena/aports/main/guile/src/guile-2.2.0/libguile'
make[2]: *** [Makefile:2294: all] Error 2
make[2]: Leaving directory
'/home/larena/aports/main/guile/src/guile-2.2.0/libguile'
make[1]: *** [Makefile:1857: all-recursive] Error 1
make[1]: Leaving directory '/home/larena/aports/main/guile/src/guile-2.2.0'
make: *** [Makefile:1743: all] Error 2
>>> ERROR: guile: all failed

Thanks!

|_eo

---

From: Valery Kartel <[email-masked]>
Date: Mon, 20 Mar 2017 14:13:07 +0200

Oh, I found that this build fails when running from /bin/ash session.
It needs /bin/bash shell for building.

I'll make v2 patch.